Bug 83159 - DATALOSS: default font size not saved in chart textbox
Summary: DATALOSS: default font size not saved in chart textbox
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisectRequest, regression
: 58027 (view as bug list)
Depends on:
Blocks: Chart
  Show dependency treegraph
 
Reported: 2014-08-27 18:59 UTC by bruno.binet
Modified: 2019-11-03 03:31 UTC (History)
10 users (show)

See Also:
Crash report or crash signature:


Attachments
Example of file with textbox font size not being preserved (95.77 KB, application/vnd.oasis.opendocument.spreadsheet)
2015-02-22 23:44 UTC, Ben DeCamp
Details

Note You need to log in before you can comment on or make changes to this bug.
Description bruno.binet 2014-08-27 18:59:26 UTC
Steps to reproduce:
===================
1) Create a chart.
2) Edit the chart and add a textbox (with the draw toolbar). Write some text in this box. 
3) Select some text in the textbox and rightclick to format characters; you will see the the actual font size is 12.
4) Exit the chart edit mode by clicking somewhere else in the spreadsheet.
5) Copy & paste the chart in Writer (GDI object) or Word (EMF) and see the incorrect textbox size (too big) in the copied picture. 
6) Save and close the document.
7) Open the saved file and see that the textbox is now too big even in Calc.

Workaround:
===========
If you change the font size (say 11 or 13) in the textbox, then the size is preserved when copy/paste or save/reopen. You can even return to the 12 size.


This is a followup of bug 74333. In LO4.2, textboxes was not restored (or pasted) at all. In LO4.3, all is ok except the default font size.

I hope this small thing can be fixed in the 4.3 branch.
Comment 1 Jacques Guilleron 2014-08-27 21:58:36 UTC
Hi bruno,

I reproduce the issue with LO 4.3.0.4 & Wiondows 7 Home Premium and set it to NEW.

Jacques
Comment 2 blargh 2014-08-28 18:41:31 UTC
Hi,

The bug persists in LibreOffice 4.3.1.2 (Windows 7 Professional 64-bit).

Bug 74333 prevented some us to migrate to LO 4.2, so let's hope we don't have to skip 4.3..

All the best,
PP
Comment 3 blargh 2014-10-05 09:54:19 UTC
Hi,

The bug still persists in LibreOffice 4.3.2.2 (Windows 7 Professional 64-bit).

All the best,
PP
Comment 4 blargh 2014-10-19 07:49:32 UTC
Hi,

The bug still persists in LibreOffice 4.3.3.1 (Windows 7 Professional 64-bit).

All the best,
PP
Comment 5 Ben DeCamp 2015-02-22 23:44:13 UTC
Created attachment 113614 [details]
Example of file with textbox font size not being preserved

I can confirm that this bug is still occuring in:
Version: 4.4.0.3
Build ID: 40m0(Build:3)

I've attached a file that is experiencing the issue, when the textbox within the chart was created, it was left at default font size 12. But whenever the chart is copied and pasted somewhere else or the ods file is closed and reopened the textbox is rendered with a far too large font size. Often skewing the shape of the chart. (Embedded in the ods is a png showing an example of this.)

When editing the textbox within the chart, the proper font size is restored. Until the ods file is closed and reopened again.

As mentioned, if one changes the font size of the textbox, the bug no longer occurs.
Comment 6 Robinson Tryon (qubit) 2015-03-05 20:05:37 UTC
Setting priority to highest as this is a 4.4 MAB. This is part of an effort to
make the importance of MAB reflected in priority too.
Comment 7 RSMilward 2015-05-30 21:47:51 UTC
Text box on top of a chart will revert to much larger than default size after file is saved and reopened. However, a text box on top of spreadsheet cells remains the same.
Comment 8 Francisco 2015-06-25 01:48:40 UTC
*** Bug 58027 has been marked as a duplicate of this bug. ***
Comment 9 RSMilward 2015-11-13 15:00:54 UTC
Problem continues to exist in ver. 5.0.3.2
Comment 10 Justin L 2017-02-03 13:22:12 UTC
(In reply to bruno.binet from comment #0)
> In LO4.2, textboxes were not restored (or pasted) at all.
> In LO4.3, all is ok except the default font size.

Tracked this using bibisect43max. Interestingly, for a short time the chart itself was "lost" and only the textbox was imported (with even much larger text). Must have been something strange with the build because that strangeness was "fixed" in the bibisect by commit e6ac6cbccf0e26b860b2a8c276fea258091d9da3 which is supposedly just a comment rename from automaticly -> automatically.
https://cgit.freedesktop.org/libreoffice/core/commit/?h=libreoffice-5-2-5&id=e6ac6cbccf0e26b860b2a8c276fea258091d9da3

The textbox appearing was fixed at bibisect43max commit a880a9b7449df2f44e0eb5c46b130aea051670fd

Bibisect: This commit covers the following source commit(s) which failed to build
    3b2ec44912ca2e0548d8078d2edf17fa10856553  (** most likely commit **)
    96c66da23a327ec68d0ad5966fc1e79b7af41e56
    0a861a50b6f1fc271abcd9d76d6a09ec7e9dcdda
    8657b48af4fcf524bf45d1c9af18bbb1bb87f1f4
    054b968c63b90a49025c29c7c14da913d2ac4021  (the one that built....)

Fix for bug 74333 - DATALOSS: Textfield or Picture inside a chart is hidden
author Markus Mohrhard <markus.mohrhard@googlemail.com>	2014-04-25 17:56:36
commit	** 3b2ec44912ca2e0548d8078d2edf17fa10856553 **
    the chart root shape has to be at the bottom, fdo#74333, cp#1000057
https://cgit.freedesktop.org/libreoffice/core/commit/?h=libreoffice-5-2-5&id=3b2ec44912ca2e0548d8078d2edf17fa10856553

One clue? CTL/Asian font sizes are 24, but Western font size is 12 (although I'd say it looks like size 24 as per this bug report).
Comment 11 Justin L 2017-02-03 13:26:44 UTC
The enlarged text in the textbox goes back to the oldest commit in bibisect43all, so setting earliest version to 3.5.0
Comment 12 bruno.binet 2017-03-08 01:04:14 UTC
The bug still persists in LibreOffice 5.2.5 (Linux and Windows)
Comment 13 blargh 2017-03-08 17:27:11 UTC
The bug still persists in LibreOffice 5.3.0.3 (Windows 7 Professional 64-bit).
Comment 14 QA Administrators 2018-05-11 02:33:06 UTC Comment hidden (obsolete)
Comment 15 blargh 2018-05-13 09:15:44 UTC
Hi,

The bug still persists in LibreOffice 6.0.4.2, in both Windows 7 Professional 64-bit and Ubuntu 16.04.

All the best,
PP
Comment 16 QA Administrators 2019-05-14 02:58:10 UTC Comment hidden (obsolete)
Comment 17 eisa01 2019-06-08 11:42:03 UTC
Still present

Version: 6.3.0.0.beta1
Build ID: a187af327633f5f00363be5131bd21a13e0f1a7b
CPU threads: 2; OS: Mac OS X 10.13.6; UI render: default; VCL: osx; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 18 Koen Roggemans 2019-09-26 14:30:27 UTC
Confirm this is still present on 
Versie: 6.3.1.2
Build ID: 1:6.3.1~rc2-0ubuntu0.18.04.1~lo1

I have seen the same issue on a Windows 10 with LO 6.3
Comment 19 eisa01 2019-11-03 00:35:40 UTC
This is still present.

I'm lowering the importance of this back to the default of the prioritizing flow chart, as this is more of a normal interoperability bug

Version: 6.4.0.0.alpha1+
Build ID: 80109586e6cb6d3e2e0a53a9079c3125ec9b8368
CPU threads: 4; OS: Mac OS X 10.14.6; UI render: default; VCL: osx; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded